%define upstream_name    Devel-hdb
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl debugger as a web page and REST service
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Server::PSGI)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(JSON)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
hdb is a Perl debugger that uses HTML and javascript to implement the GUI.
This front-end talks to a REST service provided by the debugger running
with the Perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1025507
- Rebuild for perl 5.22.2

* Fri Mar 11 2016 guillomovitch <guillomovitch> 0.230.0-1.mga6
+ Revision: 989283
- new version 0.23

* Thu Feb 18 2016 umeabot <umeabot> 0.210.10-2.mga6
+ Revision: 966019
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.210.10-1.mga6
+ Revision: 839365
- update to 0.21001

* Wed Oct 15 2014 umeabot <umeabot> 0.200.10-3.mga5
+ Revision: 748034
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.10-2.mga5
+ Revision: 684346
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.200.10-1.mga5
+ Revision: 665430
- update to 0.20001

* Sat Aug 16 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 664407
- update to 0.20

* Wed Jul 02 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 642261
- update to 0.13

* Sun Mar 09 2014 guillomovitch <guillomovitch> 0.120.0-1.mga5
+ Revision: 601536
- new version 0.12

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.110.0-1.mga5
+ Revision: 582121
- new version 0.11

* Mon Dec 23 2013 guillomovitch <guillomovitch> 0.100.0-0.mga4
+ Revision: 560073
- new version 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 525550
- Mageia 4 Mass Rebuild

* Fri May 31 2013 guillomovitch <guillomovitch> 0.90.0-1.mga4
+ Revision: 433657
- new version

* Fri Mar 22 2013 guillomovitch <guillomovitch> 0.40.0-1.mga3
+ Revision: 404482
- imported package perl-Devel-hdb


* Fri Mar 22 2013 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
